Skip to main content
`Ctrl`+`K`

# SNESFASFullSetDownSweep

Smooth during the initial downsweep for `SNESFAS`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASFullSetDownSweep(SNES snes, PetscBool swp)

Logically Collective

## Input Parameters

- snes - the `SNESFAS` nonlinear multigrid context

- swp - whether to downsweep or not

## Options Database Key

- -snes_fas_full_downsweep - Sets whether to smooth on the initial downsweep

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetNumberSmoothUp()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages